org.gitana.platform.services.transfer

## Class TransferImportConfiguration

- java.lang.Object
- - org.gitana.platform.support.GitanaObjectImpl
  - - org.gitana.platform.services.transfer.TransferConfiguration
    - - org.gitana.platform.services.transfer.TransferImportConfiguration

All Implemented Interfaces:
  Serializable, GitanaObject, JSONable

    public class TransferImportConfiguration
    extends TransferConfiguration

Author:
  uzi
See Also:
  Serialized Form

### Field Summary

Fields
`static String` `FIELD_CHILDREN_ONLY`
`static String` `FIELD_COPY_ON_EXISTING`
`static String` `FIELD_DRY_RUN`
`static String` `FIELD_INCLUDE_ACLS`
`static String` `FIELD_INCLUDE_ACTIVITIES`
`static String` `FIELD_INCLUDE_ATTACHMENTS`
`static String` `FIELD_INCLUDE_BINARIES`
`static String` `FIELD_INCLUDE_ROLES`
`static String` `FIELD_INCLUDE_TEAM_MEMBERS`
`static String` `FIELD_INCLUDE_TEAMS`
`static String` `FIELD_PROPERTIES`
`static String` `FIELD_STRATEGY`
`static String` `FIELD_SUBSTITUTIONS`

### Constructor Summary

Constructors
Constructor and Description
`TransferImportConfiguration()`
`TransferImportConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addSubstitution(String sourceId, String targetId)`
`static TransferImportConfiguration` `everything()`
`boolean` `getChildrenOnly()`
`boolean` `getCopyOnExisting()`
`boolean` `getDryRun()`
`boolean` `getIncludeACLs()`
`boolean` `getIncludeActivities()`
`boolean` `getIncludeAttachments()`
`boolean` `getIncludeBinaries()`
`boolean` `getIncludeRoles()`
`boolean` `getIncludeTeamMembers()`
`boolean` `getIncludeTeams()`
`Map<String,Map<String,Object>>` `getProperties()`
`TransferImportStrategy` `getStrategy()`
`Map<String,String>` `getSubstitutions()`
`void` `setChildrenOnly(boolean childrenOnly)`
`void` `setCopyOnExisting(boolean copyOnExisting)`
`void` `setDryRun(boolean dryRun)`
`void` `setIncludeACLs(boolean includeACLs)`
`void` `setIncludeActivities(boolean includeActivities)`
`void` `setIncludeAttachments(boolean includeAttachments)`
`void` `setIncludeBinaries(boolean includeBinaries)`
`void` `setIncludeRoles(boolean includeRoles)`
`void` `setIncludeTeamMembers(boolean includeTeamMembers)`
`void` `setIncludeTeams(boolean includeTeams)`
`void` `setProperties(Map<String,Map<String,Object>> properties)`
`void` `setStrategy(TransferImportStrategy strategy)`
`void` `setSubstitutions(Map<String,String> substitutions)`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FIELD_INCLUDE_ACLS

    public static final String FIELD_INCLUDE_ACLS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_TEAMS

    public static final String FIELD_INCLUDE_TEAMS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_TEAM_MEMBERS

    public static final String FIELD_INCLUDE_TEAM_MEMBERS

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ROLES

    public static final String FIELD_INCLUDE_ROLES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ACTIVITIES

    public static final String FIELD_INCLUDE_ACTIVITIES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_BINARIES

    public static final String FIELD_INCLUDE_BINARIES

See Also:
  Constant Field Values

#### FIELD_INCLUDE_ATTACHMENTS

    public static final String FIELD_INCLUDE_ATTACHMENTS

See Also:
  Constant Field Values

#### FIELD_STRATEGY

    public static final String FIELD_STRATEGY

See Also:
  Constant Field Values

#### FIELD_SUBSTITUTIONS

    public static final String FIELD_SUBSTITUTIONS

See Also:
  Constant Field Values

#### FIELD_CHILDREN_ONLY

    public static final String FIELD_CHILDREN_ONLY

See Also:
  Constant Field Values

#### FIELD_PROPERTIES

    public static final String FIELD_PROPERTIES

See Also:
  Constant Field Values

#### FIELD_DRY_RUN

    public static final String FIELD_DRY_RUN

See Also:
  Constant Field Values

#### FIELD_COPY_ON_EXISTING

    public static final String FIELD_COPY_ON_EXISTING

See Also:
  Constant Field Values

### Constructor Detail

#### TransferImportConfiguration

    public TransferImportConfiguration()

#### TransferImportConfiguration

    public TransferImportConfiguration(com.fasterxml.jackson.databind.node.ObjectNode object)

### Method Detail

#### getIncludeACLs

    public boolean getIncludeACLs()

#### setIncludeACLs

    public void setIncludeACLs(boolean includeACLs)

#### getIncludeTeams

    public boolean getIncludeTeams()

#### setIncludeTeams

    public void setIncludeTeams(boolean includeTeams)

#### getIncludeTeamMembers

    public boolean getIncludeTeamMembers()

#### setIncludeTeamMembers

    public void setIncludeTeamMembers(boolean includeTeamMembers)

#### getIncludeRoles

    public boolean getIncludeRoles()

#### setIncludeRoles

    public void setIncludeRoles(boolean includeRoles)

#### getIncludeActivities

    public boolean getIncludeActivities()

#### setIncludeActivities

    public void setIncludeActivities(boolean includeActivities)

#### getIncludeBinaries

    public boolean getIncludeBinaries()

#### setIncludeBinaries

    public void setIncludeBinaries(boolean includeBinaries)

#### getIncludeAttachments

    public boolean getIncludeAttachments()

#### setIncludeAttachments

    public void setIncludeAttachments(boolean includeAttachments)

#### getStrategy

    public TransferImportStrategy getStrategy()

#### setStrategy

    public void setStrategy(TransferImportStrategy strategy)

#### getChildrenOnly

    public boolean getChildrenOnly()

#### setChildrenOnly

    public void setChildrenOnly(boolean childrenOnly)

#### addSubstitution

    public void addSubstitution(String sourceId,
                                String targetId)

#### setSubstitutions

    public void setSubstitutions(Map<String,String> substitutions)

#### getSubstitutions

    public Map<String,String> getSubstitutions()

#### everything

    public static TransferImportConfiguration everything()

#### setProperties

    public void setProperties(Map<String,Map<String,Object>> properties)

#### getProperties

    public Map<String,Map<String,Object>> getProperties()

#### setDryRun

    public void setDryRun(boolean dryRun)

#### getDryRun

    public boolean getDryRun()

#### setCopyOnExisting

    public void setCopyOnExisting(boolean copyOnExisting)

#### getCopyOnExisting

    public boolean getCopyOnExisting()